aboutsummaryrefslogtreecommitdiff
path: root/debian/install-short_url-for-hex-zero.sh
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2020-12-16 09:49:58 -0500
committerB Stack <bgstack15@gmail.com>2020-12-16 09:49:58 -0500
commita01a0efa69629f5b08f6d425ea09c71d531c60f6 (patch)
tree5b1d9a5c0bc36240be76f7c5fc04cae45d021a73 /debian/install-short_url-for-hex-zero.sh
parentadd better debian install notes (diff)
downloadhex-zero-a01a0efa69629f5b08f6d425ea09c71d531c60f6.tar.gz
hex-zero-a01a0efa69629f5b08f6d425ea09c71d531c60f6.tar.bz2
hex-zero-a01a0efa69629f5b08f6d425ea09c71d531c60f6.zip
improve instructions for installing short_url
Diffstat (limited to 'debian/install-short_url-for-hex-zero.sh')
-rwxr-xr-xdebian/install-short_url-for-hex-zero.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/debian/install-short_url-for-hex-zero.sh b/debian/install-short_url-for-hex-zero.sh
new file mode 100755
index 0000000..780324b
--- /dev/null
+++ b/debian/install-short_url-for-hex-zero.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Must be run as root.
+USERNAME=hex-zero
+# install short_url for the user only
+if ! /var/www/hex-zero/check-for-short_url.sh 1>/dev/null 2>&1 ;
+then
+ su ${USERNAME} -s /bin/sh -c 'pip3 install --user short_url'
+fi
bgstack15